#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
vector<int>rez;
vector<pair<pair<int,int>,int>>v;
std::vector<int> solve(std::vector<int> A)
{
    int n=A.size();
    rez.clear();
    if(n==1)
    return {0};
    if(n==2)
    return {1,0};
    if(n==3)
    return {0,2,1};

    for(int i=0; i<n/2-1; i++)
    {
        rez.push_back(i);
    }
    rez.push_back(n-1);
    for(int i=n/2-1; i<n-1; i++)
        rez.push_back(i);
    return rez;
}
